## kernel-patch-2.2.20-powerpc 2.2.20-3woody1

=== debian/changelog ===
kernel-patch-2.2.20-powerpc (2.2.20-3woody1) stable-securtity; urgency=high

  * Rebuild against kernel-source-2.2.20 2.2.20-5woody3 to pull in
    the patch extracted from upstream 2.2.26 to fix local privilege
    escalation discovered by Paul Starzetz (CAN-2004-0077)

 -- Sven Luther <luther@debian.org>  Thu, 26 Feb 2004 21:15:36 +0000

kernel-patch-2.2.20-powerpc (2.2.20-3) unstable; urgency=low

  * Rebuild against kernel-source version 2.2.20-5 to fix zlib
    double-free bug.
  * Turn on CONFIG_PPC_RTC for PReP and CHRP.  Required patch
    (macintosh/rtc.c was not used on non-PowerMac until 2.4).
  * Remove non-free Keyspan firmware from CHRP config.

 -- Daniel Jacobowitz <dan@debian.org>  Wed, 20 Mar 2002 14:26:06 -0500

kernel-patch-2.2.20-powerpc (2.2.20-2) unstable; urgency=low

  * Remove modules with unresolvable symbols (Closes: #109903, #109904,
    #78441).
  * Add build dependency on debhelper (*blush*) (Closes: #119056).
  * Add Advansys SCSI driver (Closes: #123539).

 -- Daniel Jacobowitz <dan@debian.org>  Fri, 14 Dec 2001 11:57:20 -0500

kernel-patch-2.2.20-powerpc (2.2.20-1) unstable; urgency=low

  * New upstream version.

 -- Daniel Jacobowitz <dan@debian.org>  Wed,  7 Nov 2001 12:11:42 -0500

kernel-patch-2.2.19-powerpc (2.2.19-4) unstable; urgency=high

  * Acknowledge NMU (Closes: #110666).
  * Rebuild against current kernel-source package to fix security issues.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 21 Oct 2001 12:38:32 -0400

kernel-patch-2.2.19-powerpc (2.2.19-3.1) unstable; urgency=high

  * NMU approved by maintainer.
  * Really turn off CONFIG_MAC_ADBKEYCODES (Closes: #110666).
  * High urgency for boot-floppies.

 -- Michel Daenzer <daenzer@debian.org>  Thu, 30 Aug 2001 19:32:39 +0200

kernel-patch-2.2.19-powerpc (2.2.19-3) unstable; urgency=low

  * Add CONFIG_FILTER to PReP and CHRP configs (Closes: #98591, #98592).
  * Enable rtl8139 as a module (Closes: #100565, #106353).
  * Update rules file to match 2.4; build using --append_to_version instead
    of --subarch --arch_in_name.  This will require rebuilding modules
    packages, but make it much less painful.  Maintain subarch for postinst
    and bootloader selection for now.
  * Turn off CONFIG_MAC_ADBKEYCODES (Closes: #109316).  I worry about the
    possible effects on anyone who upgrades into this package - but
    console-data and boot-floppies have moved on, so I must too.

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 23 Aug 2001 13:29:36 -0700

kernel-patch-2.2.19-powerpc (2.2.19-2) stable unstable; urgency=medium

  * Turn off CONFIG_MAGIC_SYSRQ for now - it breaks the arrow keys
    on some iMac keyboards still (Closes: #93247).
  * Add a patch to make enter work at boot time, finally!
  * Enable a bunch of 3COM NIC's.
  * Remove configs we don't support - they haven't built in ages...

 -- Daniel Jacobowitz <dan@debian.org>  Sat, 14 Apr 2001 20:19:51 -0500

kernel-patch-2.2.19-powerpc (2.2.19-1) stable unstable; urgency=medium

  * New upstream version, based on final 2.2.19.  Snapshot from 20010407.
  * Start building image packages properly; thanks to Herbert Xu for
    pointing me at the (fairly obvious) mistake I was making.
  * Oh well.  Necessitated changing the versioning scheme.

 -- Daniel Jacobowitz <dan@debian.org>  Sat,  7 Apr 2001 20:45:40 -0500

kernel-patch-2.2.19pre17-powerpc (20010304-2.2.19pre17-1) stable unstable; urgency=medium

  * New upstream version.
  * The patch is down to 299 lines!
  * Use --bzip2 to tar.
  * Update copyright and changelog files.

 -- Daniel Jacobowitz <dan@debian.org>  Thu, 22 Mar 2001 12:06:39 -0600

kernel-patch-2.2.18pre21-powerpc (20001119-2.2.18pre21-2) stable unstable; urgency=medium

  * Update configs a bit:
    - sync networking options on pmac with the standard
      Intel kernel image packages (Closes: #72503).  I still need to do the
      same for prep and chrp.
    - Turn off CONFIG_BOOTX_TEXT; it interferes with Quik.
    - Enable serial console on CHRP.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 20 Nov 2000 19:33:34 -0500

kernel-patch-2.2.18pre21-powerpc (20001119-2.2.18pre21-1) stable unstable; urgency=medium

  * New upstream version.
  * The patch has gone from about 2MB down to about 20K now.
  * Updated configs to 2.2.18pre21.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 19 Nov 2000 23:06:33 -0500

kernel-patch-2.2.17-powerpc (20000714-2.2.17pre11-2) frozen unstable; urgency=medium

  * Ack, somehow aty128fb got disabled upstream.  Reenable it, so that our
    users can see their screens again.

 -- Daniel Jacobowitz <dan@debian.org>  Tue, 18 Jul 2000 16:26:17 -0700

kernel-patch-2.2.17-powerpc (20000714-2.2.17pre11-1) frozen unstable; urgency=medium

  * New upstream version.
  * Add NCR 53c8xx controller to powermac kernel, needed for some G4
    configurations.
  * Add a patch from Franz Sirl to ease transition to the new input layer.
  * Hand myself a boot to the head and set EXTRAVERSION back to empty in the
    kernel Makefile.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 25 Jul 2000 18:20:45 -0700

kernel-patch-2.2.17-powerpc (20000625-2.2.17pre5-1) frozen unstable; urgency=medium

  * Use new kernel-source package.
  * Update to Cort's 2.2.17pre5 tree.

 -- Daniel Jacobowitz <dan@debian.org>  Sun, 25 Jun 2000 12:37:55 -0700

kernel-patch-2.2.15-powerpc (20000422-2.2.16pre4-1) frozen unstable; urgency=medium

  * Release critical - Needed for the new kernel-source, again.
  * Use Cort's current tree again, 2.2.16pre4.  Work around the epoch
    problems this way, luckily.

 -- Daniel Jacobowitz <dan@debian.org>  Mon, 29 May 2000 21:15:11 -0500

kernel-patch-2.2.15-powerpc (20000422-2.2.15pre20-1) frozen unstable; urgency=medium

  * Use new version of kernel-source.  This is release critical, because the
    previous version does not build with the new kernel-source, and thus
    boot-floppies can not build!

 -- Daniel Jacobowitz <dan@debian.org>  Thu,  4 May 2000 08:46:52 -0400


